

#define WINDOWS

#include <stdio.h>
#include <string>

#include "LICAnalyzer.h"

#ifndef	WINDOWS
#include <unistd.h>
#include <stdlib.h>
#endif


int main(int argc, char** argv)
{
	LICAnalyzer analyzer;
	analyzer.m_bStopAnalyzer = false;
	analyzer.AnalyzeFile( "testcase.c" );
	
	/*
	if( argc < 2 )
	{
		return -1;
	}
	int a = 1;
	{
		int a = 2;
	}


	

	for( int i = 1; i < argc ; i++ )
	{
		printf( "%s \n", argv[ i ] );
		analyzer.m_bStopAnalyzer = false;
		//analyzer.AnalyzeFile( argv[ i ] );
		
	}*/

	return 0;
}
